Bug 822831 - Review Request: gentlyweb-utils - Java utility library used by JoSQL for I/O
Review Request: gentlyweb-utils - Java utility library used by JoSQL for I/O
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 822832
  Show dependency treegraph
 
Reported: 2012-05-18 06:00 EDT by gil cattaneo
Modified: 2012-09-17 18:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-08 22:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mspaulding06: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-18 06:00:10 EDT
Spec URL: http://gil.fedorapeople.org/gentlyweb-utils.spec
SRPM URL: http://gil.fedorapeople.org/gentlyweb-utils-1.5-1.fc16.src.rpm
Description: Simple java utility library used mainly by JoSQL for I/O.
Comment 1 Matt Spaulding 2012-08-29 15:56:00 EDT
Looks like the upstream source for this package does not exist anymore. The website is there, but the tarball cannot be downloaded. I'm not sure how this changes things in regards to getting it into the distro.

It might be that it's provided somewhere else now, though I haven't been able to find it.
Comment 2 gil cattaneo 2012-08-29 19:04:50 EDT
hi Matt,
there is not any difference in the sources could be used both ...
but to simplify would keep the current version field (1.5)
and use the second file ... how do you feel?
http://ftp.de.debian.org/debian/pool/main/g/gentlyweb-utils/gentlyweb-utils_1.5.orig.tar.gz
http://sourceforge.net/projects/josql/files/josql/stable-2.2/gentlyWEB-src-utils-1.1.tar.gz
thanks
regards
Comment 3 Sebastian Dyroff 2012-08-29 19:56:36 EDT
I am not a package maintainer and I am still looking for a sponsor.

I used gentlyweb-utils_1.5.orig.tar.gz for the review. Hope that the upstream file with the right sha256sum will become available again.

I will annotate the checks that i have not marked as pass in the review below.
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
see Matts' comment. It seem that i could download a file from upstream, but it was not exactly the same.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
I think this is not applicable. I found no recommended compiler flag for java. The package does not set java compiler flags.
[-]: MUST Package contains desktop file if it is a GUI application.
No GUI app.
[?]: MUST Package complies to the Packaging Guidelines
Some checks did not pass.
[-]: MUST License file installed when any subpackage combination is installed.
No subpackages
[-]: MUST Requires correct, justified where necessary.
I don't know if it requires jpackage-utils. Maybe i missed something.
[-]: SHOULD Package functions as described.
It is a library. It contains the class files and so on. Nothing really to test here.
[!]: SHOULD Latest version is packaged.
I found version 2.2 is already released.
[?]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
I am not firm with maven. So i can't tell. It has a depmap call. It seems as if does not rely on other java code. The depmap doesn't list any other package.
[!]: SHOULD %check is present and all tests pass.
There are no tests, upstream source doesn't include any test-cases.


This is the output of fedora-review including my manual checks.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[?]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)" For detailed output of licensecheck see file: /tmp/822831
     -gentlyweb-utils/licensecheck.txt
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Upstream MD5sum check error, diff is in /tmp/822831-gentlyweb-
     utils/diff.txt
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[!]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[?]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Upstream MD5sum check error, diff is in /tmp/822831-gentlyweb-
     utils/diff.txt
See: http://fedoraproject.org/wiki/Packaging/SourceURL

Rpmlint
-------
Checking: gentlyweb-utils-1.5-1.fc17.noarch.rpm
          gentlyweb-utils-1.5-1.fc17.src.rpm
          gentlyweb-utils-javadoc-1.5-1.fc17.noarch.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gentlyweb-utils-javadoc
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
gentlyweb-utils-1.5-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    java  
    jpackage-utils  

gentlyweb-utils-javadoc-1.5-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

Provides
--------
gentlyweb-utils-1.5-1.fc17.noarch.rpm:
    
    gentlyweb-utils = 1.5-1.fc17
    mvn(net.sf.josql:gentlyweb-utils)  

gentlyweb-utils-javadoc-1.5-1.fc17.noarch.rpm:
    
    gentlyweb-utils-javadoc = 1.5-1.fc17

MD5-sum check
-------------
http://gentlyweb-utils.sourcearchive.com/downloads/1.5-1/gentlyweb-utils_1.5.orig.tar.gz :
  CHECKSUM(SHA256) this package     : 45476a48caaadbb74fef05e068fe5be215a1a21d148fd1c8eccbe58e3c9bd908
  CHECKSUM(SHA256) upstream package : e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
http://repo.fusesource.com/nexus/content/groups/public/net/sf/josql/gentlyweb-utils/1.5/gentlyweb-utils-1.5.pom :
  CHECKSUM(SHA256) this package     : aa65a035bd00cc70be86bda31f953074597c8601f158c25355edd6906675685c
  CHECKSUM(SHA256) upstream package : aa65a035bd00cc70be86bda31f953074597c8601f158c25355edd6906675685c
diff -r also reports differences


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 822831
External plugins:
Comment 5 Matt Spaulding 2012-08-30 16:10:21 EDT
Sebastian,

Very good review! Here is my official one. Mostly a rehash of what you have already stated.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)"
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[!]: MUST Spec file is legible and written in American English.
     Note: Typo addressed below.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (gentlyWEB-src-utils-1.1.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
     Note: No tests included.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[-]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: gentlyweb-utils-1.5-2.fc19.noarch.rpm
          gentlyweb-utils-javadoc-1.5-2.fc19.noarch.rpm
          gentlyweb-utils-1.5-2.fc19.src.rpm
gentlyweb-utils.src: W: invalid-url Source1: http://repo.fusesource.com/nexus/content/groups/public/net/sf/josql/gentlyweb-utils/1.5/gentlyweb-utils-1.5.pom <urlopen error timed out>
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gentlyweb-utils-javadoc
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
gentlyweb-utils-1.5-2.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    java  
    jpackage-utils  

gentlyweb-utils-javadoc-1.5-2.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

Provides
--------
gentlyweb-utils-1.5-2.fc19.noarch.rpm:
    
    gentlyweb-utils = 1.5-2.fc19
    mvn(net.sf.josql:gentlyweb-utils) = 1.5

gentlyweb-utils-javadoc-1.5-2.fc19.noarch.rpm:
    
    gentlyweb-utils-javadoc = 1.5-2.fc19

MD5-sum check
-------------
http://sourceforge.net/projects/josql/files/josql/stable-2.2/gentlyWEB-src-utils-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : d4b230b14b806ce58c997f7fbffe70b2e2d30ce8161cc62632311f682cc04914
  CHECKSUM(SHA256) upstream package : d4b230b14b806ce58c997f7fbffe70b2e2d30ce8161cc62632311f682cc04914



Issues:

1. Small typo in comment. The word "sysyem" should be "system" on comment for Patch0.

2. We discussed the source code availability. While there is a tarball of the source code available at sourceforge, it claims to be version 1.1 even though the tarball contents are identical to the 1.5 version. Since the content is good I feel we can move ahead with this. I'll contact the Josql developers and see if they can help us figure out why the sourceforge package is mislabeled.



Looks good. Please fix issue #1 before commit.


APPROVED!
Comment 6 gil cattaneo 2012-08-30 20:43:45 EDT
New Package SCM Request
=======================
Package Name: gentlyweb-utils
Short Description: Java utility library used by JoSQL for I/O
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2012-08-30 21:18:38 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-30 23:41:44 EDT
gentlyweb-utils-1.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gentlyweb-utils-1.5-2.fc18
Comment 9 Fedora Update System 2012-08-30 23:52:17 EDT
gentlyweb-utils-1.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gentlyweb-utils-1.5-2.fc17
Comment 10 Fedora Update System 2012-08-31 00:50:38 EDT
gentlyweb-utils-1.5-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-08 22:55:41 EDT
gentlyweb-utils-1.5-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-09-17 18:45:26 EDT
gentlyweb-utils-1.5-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.